import csv


def ReadDataText():
    fn_in = input("Input data file (*.txt) = ")
    f_in = open(fn_in, "r")
    #
    #       Set the contents of the input data file in the object data_f
    #
    data_f = f_in.readlines()
    f_in.close()

    pos = 0
    while True:
        if len(data_f[pos]) > 0:
            if data_f[pos][0] == '/':
                break
        pos += 1

    pos += 1
    NCat = int(data_f[pos])

    pos += 1
    while True:
        if len(data_f[pos]) > 0:
            if data_f[pos][0] == '/':
                break
        pos += 1

    pos += 1
    TempNItems = int(data_f[pos])
    pos += 1
    TempItemNames = data_f[pos].split() 
    
    pos += 1
    while True:
        if len(data_f[pos]) > 0:
            if data_f[pos][0] == '/':
                break
        pos += 1

    pos += 1
    TempCheckItems = data_f[pos].split()
    NItems = 0
    for v in TempCheckItems:
        if v == '1':
            NItems += 1

    pos += 1
    while True:
        if len(data_f[pos]) > 0:
            if data_f[pos][0] == '/':
                break
        pos += 1

    pos += 1
    NPerson = 0
    X = []
    ID = []
    while True:
        X.append([])
        temp_str = data_f[pos].split()
        ID.append(temp_str[0])
        for i in range(1, len(temp_str)):
            if TempCheckItems[i - 1] == '1':
                X[NPerson].append(int(temp_str[i]))
        NPerson += 1
        pos += 1
        if data_f[pos][0] == '/':
            break
      
    return NPerson, NItems, NCat, ID, X, fn_in



def ReadDataCSV():
    f_in_nm = input("Input data file (*.csv) = ")
    with open(f_in_nm, 'r') as f:
        csv_data = [d for d in csv.reader(f)]

    NCat = int(input('Number of categories = '))
    print('\nNumber of categories > 3. OK?')
    ck = input('If Ok, key in Y, otherwise key in N. Y or N = ')
    if (ck != 'Y') and (ck != 'y'):
        raise Exception('Number of categories error !')

    NPerson = len(csv_data) - 2;
    #   print('Number of person = ', NPerson)
    
    TempItemNames = csv_data[0]
    #   print('TempItemNames = ', TempItemNames)
    
    TempCheckItems = csv_data[1]
    NItems = 0
    for v in TempCheckItems:
        if v == '1':
            NItems += 1
    
    X = []
    ID = []
    for i in range(2, NPerson + 2):
        X.append([])
        ID.append(csv_data[i][0])
        for j in range(1, len(csv_data[i])):
            if TempCheckItems[j] == '1':
                X[i - 2].append(int(csv_data[i][j]))
                
    return NPerson, NItems, NCat, ID, X, f_in_nm




